LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices

Reply
 
Search this Thread
Old 11-02-2004, 12:40 AM   #1
elberto
LQ Newbie
 
Registered: Nov 2004
Posts: 1

Rep: Reputation: 0
2.6.8 Ltmodem support


Hi,

Im running Mandrake 10.0 Community with the 2.6.8 kernel (its actually more 10.1 then 10.0). I have an Lucent Winmodem (ltmodem) and need some working drivers, can anyone tell me where I can find them?

Them drivers at ltmodem.heby.de compile correctly but don't work, with error message "... invalid module format" when running ./checkout or modprobe.

Rob
 
Old 11-02-2004, 01:16 PM   #2
aRTee
LQ Newbie
 
Registered: Feb 2004
Distribution: Mandrake
Posts: 24

Rep: Reputation: 15
I just installed the ltmodem from that very site onto my laptop which is running Mandrakelinux 10.1 OE; get the one that says: support for RH 2.6.7 kernel.

Oh, and make sure you have development stuff installed.


On second thought, I think that you may have a mismatch of the kernel source and the running kernel...? Strange since the install scripts check everything...
 
Old 11-03-2004, 06:05 PM   #3
RonnyBaby
LQ Newbie
 
Registered: Sep 2004
Distribution: SuSE 9.1
Posts: 3

Rep: Reputation: 0
I have also tried installing an ltmodem into 2.6.8.1 MDK 10.1 final

After typing in the line: modprobe ltserial
This is what I get back:
inserting ltmodem(/lib/modules/2.6.8.1-10mdk/other/ltmodem.ko)
Fatal Error ocurrs: invalid module format

I used driver: ltmodem-2.6.3-4mdk.tgz

Don't know if it matters that much... but do I need a different driver?

Hey... I'm a what can I say? Go easy on me!

Thanks for any help provided!!

Last edited by RonnyBaby; 11-03-2004 at 06:20 PM.
 
Old 11-04-2004, 05:29 PM   #4
aRTee
LQ Newbie
 
Registered: Feb 2004
Distribution: Mandrake
Posts: 24

Rep: Reputation: 15
ltmodem-2.6.3-4mdk.tgz is likely a package for the 2.6.3 kernel, whereas 10.1 has a 2.6.8.1 kernel.

Just go to the above website, and find this:
http://www.physcip.uni-stuttgart.de/...-8.31a8.tar.gz

Follow the instructions at the website, and it should work.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ltmodem support fabio.longo Linux - Hardware 0 12-11-2004 02:23 PM
ltmodem is busy pirozzi Slackware 2 11-09-2004 05:05 AM
LTModem zdawg LinuxQuestions.org Member Success Stories 1 01-22-2004 04:11 AM
Ltmodem wickdgin Slackware 0 09-16-2002 07:04 PM
Help a newbie with LTMODEM uncmonky Linux - Newbie 1 05-08-2001 05:31 PM


All times are GMT -5. The time now is 03:46 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration